# $Revision: 1.24 $, $Date: 2010/06/06 10:20:38 $
Summary:	Tool for analysis of TCP dump files
Summary(pl.UTF-8):	Narzędzie do analizy zrzutów pakietów TCP
Summary(pt_BR.UTF-8):	Ferramenta para análise de arquivos de captura de tráfego de rede
Name:		tcptrace
Version:	6.6.7
Release:	2
Epoch:		1
License:	BSD
Group:		Applications/Networking
Source0:	http://www.tcptrace.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	68128dc1817b866475e2f048e158f5b9
Patch0:		ac264.patch
URL:		http://www.tcptrace.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex >= 2.5.31-4
BuildRequires:	libpcap-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tcptrace is a tool for analysis of TCP dump files. It can take as
input the files produced by several popular packet-capture programs,
including tcpdump, snoop, etherpeek, HP Net Metrix, and WinDump.
tcptrace can produce several different types of output containing
information on each connection seen, such as elapsed time, bytes and
segments sent and recieved, retransmissions, round trip times, window
advertisements, throughput, and more. It can also produce a number of
graphs for further analysis.

%description -l pl.UTF-8
tcptrace to narzędzie do analizowania zrzutów pakietów TCP. tcptrace
jako dane wejściowe przyjmuje zrzuty stworzone przez popularne
programy typu tcpdump, snoop, etherpeek, HP Net Metrix, and WinDump.
tcptrace może generować kilka różnego rodzaju raportów na temat
połączeń, czasu ich trwania, bajtów, retransmisji, czasów round trip,
ogłoszeń okien itd. Może także generować statystyki graficzne do
przyszłej analizy.

%description -l pt_BR.UTF-8
tcptrace é uma ferramenta para análise de arquivos de captura de
tráfego de rede. Podem ser usados como arquivos de entrada os dados
produzidos por diversos sniffers populares, como tcpdump, snoop,
etherpeek, HP Net Metrix e WinDump. A saída gerada consiste em
informações de cada conexão vista, como tempo decorrido, bytes e
segmentos enviados e recebidos, retransmissões, tempos de resposta,
anúncios de janela, taxas, etc. Esta ferramenta também pode produzir
gráficos destes dados.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install -p tcptrace xpl2gpl	$RPM_BUILD_ROOT%{_bindir}
cp -a tcptrace.man $RPM_BUILD_ROOT%{_mandir}/man1/tcptrace.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc THANKS CHANGES FAQ README* ARGS
%attr(755,root,root) %{_bindir}/tcptrace
%attr(755,root,root) %{_bindir}/xpl2gpl
%{_mandir}/man1/tcptrace.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tcptrace.spec,v $
Revision 1.24  2010/06/06 10:20:38  glen
- fix autoconf conflict with 2.64; rel 2

Revision 1.23  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.21  2004/12/22 17:21:44  charles
- updated to 6.6.7

Revision 1.20  2004/09/20 21:29:08  havner
- config.sub

Revision 1.19  2004/01/29 19:15:21  areq
- 6.6.1

Revision 1.18  2003/12/04 01:36:32  undefine
- release 1

Revision 1.17  2003/07/15 14:18:43  qboosh
- flex is fixed, workaround no longer needed

Revision 1.16  2003/07/14 15:35:51  areq
- add flex.patch (workaround)
- remove CCOPT="-O"

Revision 1.15  2003/07/14 13:43:42  areq
- 6.4.2, NFY

Revision 1.14  2003/05/28 13:02:13  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:27:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2002/10/08 13:19:11  qboosh
- BR: autoconf

Revision 1.11  2002/09/06 18:18:30  kloczek
- adapterized.

Revision 1.10  2002/09/05 23:14:09  undefine
- typo

Revision 1.9  2002/09/05 23:12:22  undefine
- compiling with CCOPT="-O"(suggestion from cl)
- pt translation from pt
- xpl2gpl

Revision 1.8  2002/09/05 22:54:37  undefine
- updated to 6.2.0
- new %doc

Revision 1.7  2002/05/21 23:14:48  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.6  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/09 12:02:04  kloczek
- updated to 6.0.1 (new stable version).

Revision 1.4  2002/01/18 02:15:09  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/10/11 09:34:55  qboosh
- BuildRequires: automake

Revision 1.2  2001/09/18 21:49:58  blues
- release 2
- configure2_13 used

Revision 1.1  2000/12/20 11:05:45  misiek
- new adapterized spec
